# VectorDataTransform

## Brief Description

Apply a transform to each vertex of the input VectorData

## Tags

Vector Data Manipulation

## Long Description

This application performs a transformation of an input vector data transforming each vertex in the vector data. The applied transformation manages translation, rotation and scale, and can be centered or not.

## Parameters

- [param] -vd <string> Input vector data to transform. Mandatory: True. Default Value: ""
- [param] -out <string> Output transformed vector data. Mandatory: True. Default Value: ""
- [param] -in <string> Image needed as a support to the vector data. Mandatory: True. Default Value: ""
- [param] -transform <string> Group of parameters to define the transform. Mandatory: True. Default Value: "0"

## Limitations

None

## Authors

OTB-Team

## See Also

## Example of use

- vd: qb_RoadExtract_easyClassification.shp

- in: qb_RoadExtract.tif

- out: VectorDataTransform.shp

- transform.ro: 5